#!/bin/sh
#   Copyright (c) 2011 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh


echo "Content-Type: application/json"
echo ""

STATUS_TEXT="unknown"
if [[ -f /var/lock/sdcard-failure ]]; then
    STATUS_TEXT="Error, SD-Card not mounted"
else
    if [[ -f /tmp/sdcard-fsck.status ]]; then
        STATUS=$(cat /tmp/sdcard-fsck.status 2>/dev/null)
        if [[ -n "$STATUS" ]]; then
            if [[ $STATUS -eq 0 ]]; then
                STATUS_TEXT="OK"
            elif [[ $STATUS -eq 1 ]] || [[ $STATUS -eq 2 ]]; then
                STATUS_TEXT="OK, file system errors corrected"
            elif [[ $STATUS -eq 4 ]]; then
                STATUS_TEXT="File system errors left uncorrected"
            fi
        fi
    fi
fi

echo -n "{ \"success\": true, code: $ERR_OK, \"message\": \"OK\", \"info\": "
echo -n "\"$STATUS_TEXT\" }"
